Bug 1312947 - [RFE] make container time zone match the one of the node
[RFE] make container time zone match the one of the node
Status: NEW
Product: OpenShift Container Platform
Classification: Red Hat
Component: RFE (Show other bugs)
3.1.0
Unspecified Unspecified
high Severity medium
: ---
: ---
Assigned To: Derek Carr
Johnny Liu
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-02-29 10:25 EST by Evgheni Dereveanchin
Modified: 2017-11-15 19:02 EST (History)
19 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Knowledge Base (Solution) 2567961 None None None 2017-11-15 18:59 EST

  None (edit)
Description Evgheni Dereveanchin 2016-02-29 10:25:36 EST
Description of request:

Currently containers may have random time zones based on the imaged used. This request is to allow setting a timezone for all containers for ease of auditing and maintenance of containers. An option would be to mount /etc/localtime into all containers so that their time zones match the node's time zone

Version-Release number of selected component (if applicable):
3.1.1
Comment 3 Daniel Walsh 2016-07-02 09:39:16 EDT
The problem with always setting the /etc/localtime into the container, is that it assumes that this means something to the content inside of the container.  For this reason docker upstream has been reluctant to accept patches making this so.  

You can simply volume mount in /etc/localtime and hope for the best.

-v /etc/localtime:/etc/localtime

I suppose we could do this at the higher level tools.  Or at least add a config option to do this.
Comment 4 Chris Pitman 2016-07-12 21:09:03 EDT
Asking users to mount in /etc/timezone also means that all users and containers have to be able to do host mounts, which we are generally restricting in OSCP deployments.
Comment 5 Daniel Walsh 2016-07-13 06:21:14 EDT
Can't we make OSCP do this automatically then?

Note You need to log in before you can comment on or make changes to this bug.